Bug 1402778 (CVE-2015-8870) - CVE-2015-8870 libtiff: Integer overflow in tools/bmp2tiff.c
Summary: CVE-2015-8870 libtiff: Integer overflow in tools/bmp2tiff.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8870
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1412078 1412079 1412080 1412081
Blocks: 1389235
TreeView+ depends on / blocked
 
Reported: 2016-12-08 10:31 UTC by Andrej Nemec
Modified: 2020-03-11 15:28 UTC (History)
5 users (show)

Fixed In Version: libtiff 4.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 10:20:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0225 normal SHIPPED_LIVE Moderate: libtiff security update 2017-02-01 15:03:24 UTC

Description Andrej Nemec 2016-12-08 10:31:53 UTC
Integer overflow in tools/bmp2tiff.c in LibTIFF before 4.0.4 allows
remote attackers to cause a denial of service (heap-based buffer
over-read), or possibly obtain sensitive information from process
memory, via crafted width and length values in RLE4 or RLE8 data in a
BMP file.

References:

http://www.floyd.ch/?p=874

Comment 5 errata-xmlrpc 2017-02-01 10:04:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:0225 https://rhn.redhat.com/errata/RHSA-2017-0225.html


Note You need to log in before you can comment on or make changes to this bug.